﻿using Central.Control.WebApi.Models;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.EFDbContext
{
    /// <summary>
    /// 
    /// </summary>
    public class CentralControlContext : DbContext, IDbContext // , IDependency
    {
        /// <summary>
        /// 
        /// </summary>
        public CentralControlContext() : base("name=CentralControlSystem")
        {
            
        }

        /// <summary>
        /// 设备表
        /// </summary>
        public DbSet<SYS_DEVICE> SYS_DEVICE { get; set; }

        /// <summary>
        /// YW_PRODUCT商品表
        /// </summary>
        public DbSet<YW_PRODUCT> YW_PRODUCT { get; set; }

        /// <summary>
        /// YW_ORDER订单表
        /// </summary>
        public DbSet<YW_ORDER> YW_ORDER { get; set; }

        /// <summary>
        /// YW_ORDERDETAILS商品订单详细表
        /// </summary>
        public DbSet<YW_ORDERDETAILS> YW_ORDERDETAILS { get; set; }


    }
}